Loading...
Searching...
No Matches
dolfin::RKSolver Class Reference

This class is a time integrator for general Runge Kutta problems. More...

`#include <RKSolver.h>`

## Public Member Functions

| RKSolver (std::shared_ptr< MultiStageScheme > scheme)
void | step (double dt)
| Step solver with time step dt.
void | step_interval (double t0, double t1, double dt)
| Step solver an interval using dt as time step.
std::shared_ptr< MultiStageScheme > | scheme () const
| Return the MultiStageScheme.

## Detailed Description

This class is a time integrator for general Runge Kutta problems.

## Constructor & Destructor Documentation

## RKSolver()

RKSolver::RKSolver | ( | std::shared_ptr< MultiStageScheme > | scheme | ) |

explicit

Constructor FIXME: Include version where one can pass a Solver and/or Parameters

The documentation for this class was generated from the following files:

- /build/dolfin-wwk1CC/dolfin-2019.2.0~legacy20240219.1c52e83/dolfin/multistage/RKSolver.h
- /build/dolfin-wwk1CC/dolfin-2019.2.0~legacy20240219.1c52e83/dolfin/multistage/RKSolver.cpp